Subject: Re: [Idr] WG adoption call - draft-li-idr-flowspec-srv6-05, txt - Extended to 8/27/2021 -

From: "Susan Hares" <[email-masked]>
Date: Thu, 19 Aug 2021 09:33:26 -0400

The WG Adoption call for draft-li-idr-flowspec-srv6 is extended to
8/27/2021.  

The draft has been revised to indicate a dependence on flow specification v2
encoding.   Does this provide enough linkage? 

Cheers, Susan Hares 

From: Susan Hares [mailto:[email-masked]] 
Sent: Friday, July 23, 2021 12:58 PM
To: [email-masked]; [email-masked]
Subject: WG adoption call - draft-li-idr-flowspec-srv6-05,txt 

This begins a 2 week WG adoption call for draft-li-idr-flowspec-srv6-05.txt.

I am missing 3 IPR statements (Zhenbin Li , Lei Li , and Lei Liu).  

These authors should send in their IPR statements in response to this call. 

This draft is targeted for the V2 version of flow specification.  

Flow specification v2 draft will be discussed at an interim on 9/13/2021. 

If it is adopted, it will be developed as part of the v2 set of drafts. 

Please consider if: 

1) if this draft is useful for networks, 

2) if you wish to adopt this draft prior to adopting flow specification v2. 

Cheerily, Susan Hares

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 19 Aug 2021 16:55:00 -0400

I support adopting this draft. I believe it will be useful.

Cheers,
Andy

------------------------------
> *From:* Susan Hares <[email-masked]>
> *Sent:* Thursday, August 19, 2021 9:33 AM
> *To:* [email-masked] <[email-masked]>; [email-masked] <
> [email-masked]>
> *Subject:* RE: WG adoption call - draft-li-idr-flowspec-srv6-05, txt -
> Extended to 8/27/2021 -
>
>
> The draft has been revised to indicate a dependence on flow specification
> v2 encoding.   Does this provide enough linkage?
>
>
>
> Cheers, Susan Hares
>
>
>
> *From:* Susan Hares [mailto:[email-masked]]
> *Sent:* Friday, July 23, 2021 12:58 PM
> *To:* [email-masked]; [email-masked]
> *Subject:* WG adoption call - draft-li-idr-flowspec-srv6-05,txt
>
>
>

---

From: Huzhibo <[email-masked]>
Date: Sat, 21 Aug 2021 01:04:02 +0000

Yes,I Support this adaption.

Zhibo

From: Susan Hares [mailto:[email-masked]]
Sent: Thursday, August 19, 2021 9:34 PM
To: [email-masked]; [email-masked]
Subject: RE: WG adoption call - draft-li-idr-flowspec-srv6-05, txt - Extended to 8/27/2021 -

The WG Adoption call for draft-li-idr-flowspec-srv6 is extended to 8/27/2021.

The draft has been revised to indicate a dependence on flow specification v2 encoding.   Does this provide enough linkage?

Cheers, Susan Hares

From: Susan Hares [mailto:[email-masked]]
Sent: Friday, July 23, 2021 12:58 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: WG adoption call - draft-li-idr-flowspec-srv6-05,txt

Please consider if:

Cheerily, Susan Hares

---

From: Gyan Mishra <[email-masked]>
Date: Sat, 21 Aug 2021 00:32:21 -0400

I support WG Adoption.

Speaking from an operator perspective I believe this SRV6 extension draft is highly applicable to Flowspec v2.

Having an SRv6 extension to Flowspec, provides the ability to match any combination of any of the three fields, Locator, Func, Arg within the SRv6 SID which can be extremely useful for operators. 

As the Func / Arg fields of the SRv6 SID contains the VPN overlay label encoded via BGP prefix sid L2 / L3 VPN service  label, this SRv6 extension can be very useful to operators. 

I believe this draft can be adopted prior to adoption of flowspec v2.  By adopting this and other drafts prior to flowspec v2 adoption also may help set a precedent to push for new features to go into flowspec v2 as well as momentum critical mass for flowspec v2 adoption as operators and industry push for the new features to be standardized.

Kind Regards 

Gyan
Verizon 

Sent from my iPhone

> On Aug 19, 2021, at 4:55 PM, Andrew G. Malis <[email-masked]> wrote:
> 
> 
>> From: Susan Hares <[email-masked]>
>> Sent: Thursday, August 19, 2021 9:33 AM
>> To: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: Michael McBride <[email-masked]>
Date: Mon, 23 Aug 2021 18:23:33 +0000

I’ve read the draft and support adoption.

mike

From: Idr <[email-masked]> On Behalf Of Gyan Mishra
Sent: Friday, August 20, 2021 9:32 PM
To: Andrew G. Malis <[email-masked]>
Cc: [email-masked]; [email-masked]; Susan Hares <[email-masked]>
Subject: Re: [Idr] WG adoption call - draft-li-idr-flowspec-srv6-05, txt - Extended to 8/27/2021

I support WG Adoption.

Kind Regards

Gyan
Verizon
Sent from my iPhone

On Aug 19, 2021, at 4:55 PM, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:

Cheers,
Andy

________________________________
From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, August 19, 2021 9:33 AM
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: RE: WG adoption call - draft-li-idr-flowspec-srv6-05, txt - Extended to 8/27/2021 -

Cheers, Susan Hares

From: Susan Hares [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Friday, July 23, 2021 12:58 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: WG adoption call - draft-li-idr-flowspec-srv6-05,txt

Please consider if:

Cheerily, Susan Hares

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 25 Aug 2021 11:00:38 +0530

Hi Sue,

I support adoption for SRv6 SID under the Flowspec V2. Some comments -

- Expand SRv6, SID, on first use
- Use the updated Requirements Language as per RFC 8174
- s/using a new type of Segment Routing Header (SRH)/using a new type of
IPv6 extension header called Segment Routing Header (SRH)/
- :: in "LOC:FUNCT:ARGS::" is incorrect as per RFC8986 (and the RFC uses
ARG instead of ARGS)
- This text -- "These match capabilities of the features are only permitted
to match when there is an accompanying SRH." conflicts with RFC 8754 [
https://datatracker.ietf.org/doc/html/rfc8754#section-4.1] which allows
SRv6 SID in the DA without SRH.
- Section 5, there is no "Flow Spec IPv6 Component Types", RFC8956 asks to
use the existing "Flow Spec Component Types" registry with IPv4 Name and
IPv6 Name. Also, avoid suggesting the value 15 (best to ask for early
allocation post-adoption).

Thanks!
Dhruv